$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "oxen_media/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "oxen_media"
  s.version     = OxenMedia::VERSION
  s.authors     = ["Walther H Diechmann"]
  s.email       = ["walther@diechmann.net"]
  s.homepage    = "http://github.com/wdiechmann/oxen_media"
  s.summary     = "OxenMedia handles your media - uploads, converts, right-sizes, whatever you need"
  s.description = "OxenMedia is a Gem in the Oxen* Family of Gem's "
  s.license     = "MIT"

  # s.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.rdoc"]
  s.files         = `git ls-files -z`.split("\x0")
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  # s.test_files = Dir["test/**/*"]
  # s.test_files    = `git ls-files -- test/*`.split("\n")
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})
  # s.require_paths = ["lib"]
  s.required_ruby_version = '>= 2.1.2'
  #s.rubyforge_project = "devise"

  s.add_dependency "rails", "~> 4.2.1"
  s.add_dependency "pundit" #, "~> 0.3.0"
  s.add_dependency 'mini_magick'
  # s.add_dependency 'carrierwave'
  # s.add_dependency 'carrierwave-crop'
  # s.add_dependency 'carrierwave-processing'
  # s.add_dependency 'fog'
  #
  # s.add_dependency "sweetalert-rails"
  # s.add_dependency("responders")

  s.add_development_dependency 'minitest-reporters'
  s.add_development_dependency 'mini_backtrace'
  s.add_development_dependency 'guard-minitest'
  s.add_development_dependency 'combustion', '~> 0.5.3'
  s.add_development_dependency "sqlite3"
  s.add_development_dependency 'factory_girl_rails'
  s.add_development_dependency 'database_cleaner'
  s.add_development_dependency 'capybara'
  s.add_development_dependency "guard"
  s.add_development_dependency "pry"
  s.add_development_dependency "pry-remote"
  s.add_development_dependency "pry-nav"
  # s.add_development_dependency "guard-rspec"
  #
  # s.add_development_dependency "rspec"
  # s.add_development_dependency 'rspec-rails'
  # s.add_development_dependency "rspec-nc"
  # s.add_development_dependency "railties", ">= 3.2.6", "< 5"
  # s.add_development_dependency "activerecord", ">= 3.2.6"
  # s.add_development_dependency "bundler", "~> 1.7"
  # s.add_development_dependency "rake", "~> 10.0"
end
